CISCO7CRACK(1)

NAME
cisco7crack - Crypt and decrypt the cisco type 7 passwords

SYNOPSIS
cisco7crack [OPTIONS] [ARGS] ...

DESCRIPTION
Enjoy cracking the Cisco IOS pesky passwords. For bugs and suggestions, please contact me by e-mail.

OPTIONS

-c  crypt <plaintext>

-a  display all the ways to crypt <plaintext>

-#<n>
    display the n-th way to crypt <plaintext>

-d  decrypt <ciphertext> (default option)

-q  cause cisco7crack to be really quiet

-h  display this brief usage summary

COMMANDS
cisco7crack [-q] -c [-{a|#<0..15>}] <plaintext>

cisco7crack [-q] [-d] <ciphertext>

cisco7crack [-h]

EXAMPLES
cisco7crack -c#3 '@l1c3&b0b'

cisco7crack -c#3 -q n0v3rb0s3

cisco7crack 082F1C5A1A490D43000F5E033F78373B

a=`cisco7crack -cq b@shscr1pt` # (bash shell)

[ $? -eq 0 ] && echo "crypt: $a" || echo "error!"

REPORTING BUGS
To report a bug please visit rows' issue tracking system at https://github.com/madrisan/cisco7crack/issues.

AUTHOR
Written by Davide Madrisan <davide.madrisan@google.com>

This manual page was written by Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com> for the Debian project (but may be used by others).

COPYRIGHT
Copyright © 2002 Davide Madrisan. License GPLv2+: GNU GPL version 2 or later <http://gnu.org/licenses/gpl.html>. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.